Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.jboss
Class C3P0PooledDataSource

    java.lang.Object
      com.mchange.v2.c3p0.jboss.C3P0PooledDataSource

All Implemented Interfaces:
  C3P0PooledDataSourceMBean

    public class C3P0PooledDataSource

extends java.lang.Object
implements C3P0PooledDataSourceMBean

Constructor Summary
`C3P0PooledDataSource()`

Method Summary
`void` | `close()`
`void` | `create()`
`void` | `destroy()`
`int` | `getAcquireIncrement()`
`int` | `getAcquireRetryAttempts()`
`int` | `getAcquireRetryDelay()`
`java.lang.String` | `getAutomaticTestTable()`
`int` | `getCheckoutTimeout()`
`java.lang.String` | `getConnectionCustomizerClassName()`
`java.lang.String` | `getConnectionTesterClassName()`
`java.lang.String` | `getDataSourceName()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDriverClass()`
`float` | `getEffectivePropertyCycle(java.lang.String username, java.lang.String password)`
`float` | `getEffectivePropertyCycleDefaultUser()`
`java.lang.String` | `getFactoryClassLocation()`
`int` | `getIdleConnectionTestPeriod()`
`int` | `getInitialPoolSize()`
`java.lang.String` | `getJdbcUrl()`
`java.lang.String` | `getJndiName()`
`int` | `getMaxAdministrativeTaskTime()`
`int` | `getMaxConnectionAge()`
`int` | `getMaxIdleTime()`
`int` | `getMaxIdleTimeExcessConnections()`
`int` | `getMaxPoolSize()`
`int` | `getMaxStatements()`
`int` | `getMaxStatementsPerConnection()`
`int` | `getMinPoolSize()`
`int` | `getNumBusyConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumBusyConnectionsAllUsers()`
`int` | `getNumBusyConnectionsDefaultUser()`
`int` | `getNumConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumConnectionsAllUsers()`
`int` | `getNumConnectionsDefaultUser()`
`int` | `getNumHelperThreads()`
`int` | `getNumIdleConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumIdleConnectionsAllUsers()`
`int` | `getNumIdleConnectionsDefaultUser()`
`int` | `getNumUnclosedOrphanedConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumUnclosedOrphanedConnectionsAllUsers()`
`int` | `getNumUnclosedOrphanedConnectionsDefaultUser()`
`int` | `getNumUserPools()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPreferredTestQuery()`
`int` | `getPropertyCycle()`
`int` | `getUnreturnedConnectionTimeout()`
`java.lang.String` | `getUser()`
`void` | `hardReset()`
`boolean` | `isAutoCommitOnClose()`
`boolean` | `isBreakAfterAcquireFailure()`
`boolean` | `isDebugUnreturnedConnectionStackTraces()`
`boolean` | `isForceIgnoreUnresolvedTransactions()`
`boolean` | `isTestConnectionOnCheckin()`
`boolean` | `isTestConnectionOnCheckout()`
`boolean` | `isUsesTraditionalReflectiveProxies()`
`void` | `setAcquireIncrement(int acquireIncrement)`
`void` | `setAcquireRetryAttempts(int acquireRetryAttempts)`
`void` | `setAcquireRetryDelay(int acquireRetryDelay)`
`void` | `setAutoCommitOnClose(boolean autoCommitOnClose)`
`void` | `setAutomaticTestTable(java.lang.String automaticTestTable)`
`void` | `setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)`
`void` | `setCheckoutTimeout(int checkoutTimeout)`
`void` | `setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)`
`void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)`
`void` | `setDataSourceName(java.lang.String name)`
`void` | `setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDriverClass(java.lang.String driverClass)`
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
`void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)`
`void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)`
`void` | `setInitialPoolSize(int initialPoolSize)`
`void` | `setJdbcUrl(java.lang.String jdbcUrl)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)`
`void` | `setMaxConnectionAge(int maxConnectionAge)`
`void` | `setMaxIdleTime(int maxIdleTime)`
`void` | `setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMaxStatements(int maxStatements)`
`void` | `setMaxStatementsPerConnection(int maxStatementsPerConnection)`
`void` | `setMinPoolSize(int minPoolSize)`
`void` | `setNumHelperThreads(int numHelperThreads)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPreferredTestQuery(java.lang.String preferredTestQuery)`
`void` | `setPropertyCycle(int propertyCycle)`
`void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)`
`void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
`void` | `setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)`
`void` | `setUser(java.lang.String user)`
`void` | `setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)`
`void` | `softReset(java.lang.String username, java.lang.String password)`
`void` | `softResetAllUsers()`
`void` | `softResetDefaultUser()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C3P0PooledDataSource

    public C3P0PooledDataSource()

Method Detail

### setJndiName

    public void setJndiName(java.lang.String jndiName)
                     throws javax.naming.NamingException

  Specified by:
    `setJndiName` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getJndiName

    public java.lang.String getJndiName()

  Specified by:
    `getJndiName` in interface `C3P0PooledDataSourceMBean`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `C3P0PooledDataSourceMBean`

### setDescription

    public void setDescription(java.lang.String description)
                        throws javax.naming.NamingException

  Specified by:
    `setDescription` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getDriverClass

    public java.lang.String getDriverClass()

  Specified by:
    `getDriverClass` in interface `C3P0PooledDataSourceMBean`

### setDriverClass

    public void setDriverClass(java.lang.String driverClass)
                        throws java.beans.PropertyVetoException,
                               javax.naming.NamingException

  Specified by:
    `setDriverClass` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.beans.PropertyVetoException`
    `javax.naming.NamingException`

### getJdbcUrl

    public java.lang.String getJdbcUrl()

  Specified by:
    `getJdbcUrl` in interface `C3P0PooledDataSourceMBean`

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)
                    throws javax.naming.NamingException

  Specified by:
    `setJdbcUrl` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getUser

    public java.lang.String getUser()

  Specified by:
    `getUser` in interface `C3P0PooledDataSourceMBean`

### setUser

    public void setUser(java.lang.String user)
                 throws javax.naming.NamingException

  Specified by:
    `setUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getPassword

    public java.lang.String getPassword()

  Specified by:
    `getPassword` in interface `C3P0PooledDataSourceMBean`

### setPassword

    public void setPassword(java.lang.String password)
                     throws javax.naming.NamingException

  Specified by:
    `setPassword` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getCheckoutTimeout

    public int getCheckoutTimeout()

  Specified by:
    `getCheckoutTimeout` in interface `C3P0PooledDataSourceMBean`

### setCheckoutTimeout

    public void setCheckoutTimeout(int checkoutTimeout)
                            throws javax.naming.NamingException

  Specified by:
    `setCheckoutTimeout` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getAcquireIncrement

    public int getAcquireIncrement()

  Specified by:
    `getAcquireIncrement` in interface `C3P0PooledDataSourceMBean`

### setAcquireIncrement

    public void setAcquireIncrement(int acquireIncrement)
                             throws javax.naming.NamingException

  Specified by:
    `setAcquireIncrement` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getAcquireRetryAttempts

    public int getAcquireRetryAttempts()

  Specified by:
    `getAcquireRetryAttempts` in interface `C3P0PooledDataSourceMBean`

### setAcquireRetryAttempts

    public void setAcquireRetryAttempts(int acquireRetryAttempts)
                                 throws javax.naming.NamingException

  Specified by:
    `setAcquireRetryAttempts` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getAcquireRetryDelay

    public int getAcquireRetryDelay()

  Specified by:
    `getAcquireRetryDelay` in interface `C3P0PooledDataSourceMBean`

### setAcquireRetryDelay

    public void setAcquireRetryDelay(int acquireRetryDelay)
                              throws javax.naming.NamingException

  Specified by:
    `setAcquireRetryDelay` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### isAutoCommitOnClose

    public boolean isAutoCommitOnClose()

  Specified by:
    `isAutoCommitOnClose` in interface `C3P0PooledDataSourceMBean`

### setAutoCommitOnClose

    public void setAutoCommitOnClose(boolean autoCommitOnClose)
                              throws javax.naming.NamingException

  Specified by:
    `setAutoCommitOnClose` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getConnectionTesterClassName

    public java.lang.String getConnectionTesterClassName()

  Specified by:
    `getConnectionTesterClassName` in interface `C3P0PooledDataSourceMBean`

### setConnectionTesterClassName

    public void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                      throws java.beans.PropertyVetoException,
                                             javax.naming.NamingException

  Specified by:
    `setConnectionTesterClassName` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.beans.PropertyVetoException`
    `javax.naming.NamingException`

### getAutomaticTestTable

    public java.lang.String getAutomaticTestTable()

  Specified by:
    `getAutomaticTestTable` in interface `C3P0PooledDataSourceMBean`

### setAutomaticTestTable

    public void setAutomaticTestTable(java.lang.String automaticTestTable)
                               throws javax.naming.NamingException

  Specified by:
    `setAutomaticTestTable` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### isForceIgnoreUnresolvedTransactions

    public boolean isForceIgnoreUnresolvedTransactions()

  Specified by:
    `isForceIgnoreUnresolvedTransactions` in interface `C3P0PooledDataSourceMBean`

### setForceIgnoreUnresolvedTransactions

    public void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)
                                              throws javax.naming.NamingException

  Specified by:
    `setForceIgnoreUnresolvedTransactions` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getIdleConnectionTestPeriod

    public int getIdleConnectionTestPeriod()

  Specified by:
    `getIdleConnectionTestPeriod` in interface `C3P0PooledDataSourceMBean`

### setIdleConnectionTestPeriod

    public void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)
                                     throws javax.naming.NamingException

  Specified by:
    `setIdleConnectionTestPeriod` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getInitialPoolSize

    public int getInitialPoolSize()

  Specified by:
    `getInitialPoolSize` in interface `C3P0PooledDataSourceMBean`

### setInitialPoolSize

    public void setInitialPoolSize(int initialPoolSize)
                            throws javax.naming.NamingException

  Specified by:
    `setInitialPoolSize` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getMaxIdleTime

    public int getMaxIdleTime()

  Specified by:
    `getMaxIdleTime` in interface `C3P0PooledDataSourceMBean`

### setMaxIdleTime

    public void setMaxIdleTime(int maxIdleTime)
                        throws javax.naming.NamingException

  Specified by:
    `setMaxIdleTime` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getMaxPoolSize

    public int getMaxPoolSize()

  Specified by:
    `getMaxPoolSize` in interface `C3P0PooledDataSourceMBean`

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)
                        throws javax.naming.NamingException

  Specified by:
    `setMaxPoolSize` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getMaxStatements

    public int getMaxStatements()

  Specified by:
    `getMaxStatements` in interface `C3P0PooledDataSourceMBean`

### setMaxStatements

    public void setMaxStatements(int maxStatements)
                          throws javax.naming.NamingException

  Specified by:
    `setMaxStatements` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getMaxStatementsPerConnection

    public int getMaxStatementsPerConnection()

  Specified by:
    `getMaxStatementsPerConnection` in interface `C3P0PooledDataSourceMBean`

### setMaxStatementsPerConnection

    public void setMaxStatementsPerConnection(int maxStatementsPerConnection)
                                       throws javax.naming.NamingException

  Specified by:
    `setMaxStatementsPerConnection` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getMinPoolSize

    public int getMinPoolSize()

  Specified by:
    `getMinPoolSize` in interface `C3P0PooledDataSourceMBean`

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)
                        throws javax.naming.NamingException

  Specified by:
    `setMinPoolSize` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getPropertyCycle

    public int getPropertyCycle()

  Specified by:
    `getPropertyCycle` in interface `C3P0PooledDataSourceMBean`

### setPropertyCycle

    public void setPropertyCycle(int propertyCycle)
                          throws javax.naming.NamingException

  Specified by:
    `setPropertyCycle` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### isBreakAfterAcquireFailure

    public boolean isBreakAfterAcquireFailure()

  Specified by:
    `isBreakAfterAcquireFailure` in interface `C3P0PooledDataSourceMBean`

### setBreakAfterAcquireFailure

    public void setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)
                                     throws javax.naming.NamingException

  Specified by:
    `setBreakAfterAcquireFailure` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### isTestConnectionOnCheckout

    public boolean isTestConnectionOnCheckout()

  Specified by:
    `isTestConnectionOnCheckout` in interface `C3P0PooledDataSourceMBean`

### setTestConnectionOnCheckout

    public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)
                                     throws javax.naming.NamingException

  Specified by:
    `setTestConnectionOnCheckout` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### isTestConnectionOnCheckin

    public boolean isTestConnectionOnCheckin()

  Specified by:
    `isTestConnectionOnCheckin` in interface `C3P0PooledDataSourceMBean`

### setTestConnectionOnCheckin

    public void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)
                                    throws javax.naming.NamingException

  Specified by:
    `setTestConnectionOnCheckin` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### isUsesTraditionalReflectiveProxies

    public boolean isUsesTraditionalReflectiveProxies()

  Specified by:
    `isUsesTraditionalReflectiveProxies` in interface `C3P0PooledDataSourceMBean`

### setUsesTraditionalReflectiveProxies

    public void setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)
                                             throws javax.naming.NamingException

  Specified by:
    `setUsesTraditionalReflectiveProxies` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getPreferredTestQuery

    public java.lang.String getPreferredTestQuery()

  Specified by:
    `getPreferredTestQuery` in interface `C3P0PooledDataSourceMBean`

### setPreferredTestQuery

    public void setPreferredTestQuery(java.lang.String preferredTestQuery)
                               throws javax.naming.NamingException

  Specified by:
    `setPreferredTestQuery` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getDataSourceName

    public java.lang.String getDataSourceName()

### setDataSourceName

    public void setDataSourceName(java.lang.String name)
                           throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getNumHelperThreads

    public int getNumHelperThreads()

  Specified by:
    `getNumHelperThreads` in interface `C3P0PooledDataSourceMBean`

### setNumHelperThreads

    public void setNumHelperThreads(int numHelperThreads)
                             throws javax.naming.NamingException

  Specified by:
    `setNumHelperThreads` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getFactoryClassLocation

    public java.lang.String getFactoryClassLocation()

  Specified by:
    `getFactoryClassLocation` in interface `C3P0PooledDataSourceMBean`

### setFactoryClassLocation

    public void setFactoryClassLocation(java.lang.String factoryClassLocation)
                                 throws javax.naming.NamingException

  Specified by:
    `setFactoryClassLocation` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### getNumUserPools

    public int getNumUserPools()
                        throws java.sql.SQLException

  Specified by:
    `getNumUserPools` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumConnectionsDefaultUser

    public int getNumConnectionsDefaultUser()
                                     throws java.sql.SQLException

  Specified by:
    `getNumConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumIdleConnectionsDefaultUser

    public int getNumIdleConnectionsDefaultUser()
                                         throws java.sql.SQLException

  Specified by:
    `getNumIdleConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumBusyConnectionsDefaultUser

    public int getNumBusyConnectionsDefaultUser()
                                         throws java.sql.SQLException

  Specified by:
    `getNumBusyConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnectionsDefaultUser

    public int getNumUnclosedOrphanedConnectionsDefaultUser()
                                                     throws java.sql.SQLException

  Specified by:
    `getNumUnclosedOrphanedConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumConnections

    public int getNumConnections(java.lang.String username,
                                 java.lang.String password)
                          throws java.sql.SQLException

  Specified by:
    `getNumConnections` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumIdleConnections

    public int getNumIdleConnections(java.lang.String username,
                                     java.lang.String password)
                              throws java.sql.SQLException

  Specified by:
    `getNumIdleConnections` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumBusyConnections

    public int getNumBusyConnections(java.lang.String username,
                                     java.lang.String password)
                              throws java.sql.SQLException

  Specified by:
    `getNumBusyConnections` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnections

    public int getNumUnclosedOrphanedConnections(java.lang.String username,
                                                 java.lang.String password)
                                          throws java.sql.SQLException

  Specified by:
    `getNumUnclosedOrphanedConnections` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumConnectionsAllUsers

    public int getNumConnectionsAllUsers()
                                  throws java.sql.SQLException

  Specified by:
    `getNumConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumIdleConnectionsAllUsers

    public int getNumIdleConnectionsAllUsers()
                                      throws java.sql.SQLException

  Specified by:
    `getNumIdleConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumBusyConnectionsAllUsers

    public int getNumBusyConnectionsAllUsers()
                                      throws java.sql.SQLException

  Specified by:
    `getNumBusyConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnectionsAllUsers

    public int getNumUnclosedOrphanedConnectionsAllUsers()
                                                  throws java.sql.SQLException

  Specified by:
    `getNumUnclosedOrphanedConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### softResetDefaultUser

    public void softResetDefaultUser()
                              throws java.sql.SQLException

  Specified by:
    `softResetDefaultUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### softReset

    public void softReset(java.lang.String username,
                          java.lang.String password)
                   throws java.sql.SQLException

  Specified by:
    `softReset` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### softResetAllUsers

    public void softResetAllUsers()
                           throws java.sql.SQLException

  Specified by:
    `softResetAllUsers` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### hardReset

    public void hardReset()
                   throws java.sql.SQLException

  Specified by:
    `hardReset` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### create

    public void create()
                throws java.lang.Exception

  Specified by:
    `create` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `C3P0PooledDataSourceMBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `C3P0PooledDataSourceMBean`

### getConnectionCustomizerClassName

    public java.lang.String getConnectionCustomizerClassName()

  Specified by:
    `getConnectionCustomizerClassName` in interface `C3P0PooledDataSourceMBean`

### getEffectivePropertyCycle

    public float getEffectivePropertyCycle(java.lang.String username,
                                           java.lang.String password)
                                    throws java.sql.SQLException

  Specified by:
    `getEffectivePropertyCycle` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getEffectivePropertyCycleDefaultUser

    public float getEffectivePropertyCycleDefaultUser()
                                               throws java.sql.SQLException

  Specified by:
    `getEffectivePropertyCycleDefaultUser` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `java.sql.SQLException`

### getMaxAdministrativeTaskTime

    public int getMaxAdministrativeTaskTime()

  Specified by:
    `getMaxAdministrativeTaskTime` in interface `C3P0PooledDataSourceMBean`

### getMaxConnectionAge

    public int getMaxConnectionAge()

  Specified by:
    `getMaxConnectionAge` in interface `C3P0PooledDataSourceMBean`

### getMaxIdleTimeExcessConnections

    public int getMaxIdleTimeExcessConnections()

  Specified by:
    `getMaxIdleTimeExcessConnections` in interface `C3P0PooledDataSourceMBean`

### getUnreturnedConnectionTimeout

    public int getUnreturnedConnectionTimeout()

  Specified by:
    `getUnreturnedConnectionTimeout` in interface `C3P0PooledDataSourceMBean`

### isDebugUnreturnedConnectionStackTraces

    public boolean isDebugUnreturnedConnectionStackTraces()

  Specified by:
    `isDebugUnreturnedConnectionStackTraces` in interface `C3P0PooledDataSourceMBean`

### setConnectionCustomizerClassName

    public void setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)
                                          throws javax.naming.NamingException

  Specified by:
    `setConnectionCustomizerClassName` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### setDebugUnreturnedConnectionStackTraces

    public void setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)
                                                 throws javax.naming.NamingException

  Specified by:
    `setDebugUnreturnedConnectionStackTraces` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### setMaxAdministrativeTaskTime

    public void setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)
                                      throws javax.naming.NamingException

  Specified by:
    `setMaxAdministrativeTaskTime` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### setMaxConnectionAge

    public void setMaxConnectionAge(int maxConnectionAge)
                             throws javax.naming.NamingException

  Specified by:
    `setMaxConnectionAge` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### setMaxIdleTimeExcessConnections

    public void setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)
                                         throws javax.naming.NamingException

  Specified by:
    `setMaxIdleTimeExcessConnections` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

### setUnreturnedConnectionTimeout

    public void setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)
                                        throws javax.naming.NamingException

  Specified by:
    `setUnreturnedConnectionTimeout` in interface `C3P0PooledDataSourceMBean`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD